Return a resource to organization level
Moves a resource out of this namespace to organization level, with what follows it as in `POST /v1/namespaces/{id}/resources`.
DELETE
Moves a resource out of this namespace to organization level, with what follows it as in POST /v1/namespaces/{id}/resources. A resource in a different namespace is not found.
apiKeyheader
x-api-key<token>id*stringMatch
^ns_[0-9a-hjkmnp-tv-z]{16,24}$type*stringValue in
"domain""sender""whatsappNumber""smsNumber""contact""template"resourceId*stringNamespaceResource
application/json- response
type*NamespaceResourceTypeValue in
"domain""sender""whatsappNumber""smsNumber""contact""template"id*stringnamespaceId*|nullimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.namespaces.removeResource({
"id": "example",
"type": "domain",
"resourceId": "example"
});Example Response
{
"type": "domain",
"id": "string",
"namespaceId": "string"
}